#ifndef TADLISTAARESTA_H_
#define TADLISTAARESTA_H_

#include "TadGrafo.h"

typedef struct celula_str_a* PonteiroA;
typedef struct celula_str_a{
	struct Aresta* Item;
	PonteiroA Prox;
} CelulaAresta;

typedef CelulaAresta TadListaAresta;

TadListaAresta* CriaListaAresta();
void InsereAresta (TadListaAresta* l, struct Aresta* v);
int TamanhoListaAresta (TadListaAresta* l);
struct Aresta* BuscaListaAresta (TadListaAresta* l , IdVertice id);
struct Aresta* RetornaAresta (int i);
TadListaAresta* RetornaProxAresta (TadListaAresta* l);
void RemoveAresta (TadListaAresta* l, IdVertice id);
void DestroiListaAresta (TadListaAresta* l);


#endif /*TADLISTAARESTA_H_*/
